Skip to main content
GET
/
v1
/
card-transactions
List card transactions
curl --request GET \
  --url https://api.getsly.ai/v1/v1/card-transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "payment_method_id": "<string>",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "authorization",
      "status": "pending",
      "amount": "<string>",
      "currency": "<string>",
      "card_last_four": "<string>",
      "card_brand": "<string>",
      "is_disputed": true,
      "created_at": "2023-11-07T05:31:56Z",
      "merchant_name": "<string>",
      "merchant_category": "<string>",
      "network_ref": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

account_id
string<uuid>
payment_method_id
string
type
enum<string>
Available options:
authorization,
capture,
refund,
reversal
status
enum<string>
Available options:
pending,
succeeded,
failed,
disputed
is_disputed
enum<string>
Available options:
true,
false
since
string<date-time>
until
string<date-time>
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Card transactions

data
object[]
required
pagination
object
required